%define intname toppler

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	remake of the classic game nebulous/towertoppler
Name:		tower%{intname}
Version:	1.1.3
Release:	2
License:	GNU/GPL 
URL:		http://toppler.sourceforge.net/index_de.html
Group:		Games/Arcade
Source0:	%{intname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel
BuildRequires:	svgalib-devel

%description
In this game you have to help a cute little green animal switch off some kind of "evil" mechanism. The "power off switch" is hidden somewhere in high towers. On your way to the target you need to avoid a lot of strange robots that guard the tower. 
 That sounds all like a normal jump and run game. What makes this game different is that you walk arond the tower which is revolving on the screen, so that you only see the 180 that are currently visible. 
 The game is a reimplementation of the old game known as Tower Toppler or Nebulus. It was available for PC, Atari, C64. The author was J.M.Phillips and was published by Hewson software.

%prep
%setup -q -n %{intname}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir
make 

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_datadir
%_prefix/var

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.3-2
- rebuild, group correction to Games/Arcade,
- added svgalib-devel to BuildRequires
* Sun Jul 22 2007 Christian Wasem <wasem@ccux-linux.de> 1.1.3-1
- Version update
* Fri Apr 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2a-1
- Initial Release
